const { Model } = require('flitter-orm')
const uuid = require('uuid').v4

class SessionParticipantModel extends Model {
    static get schema() {
        return {
            service_provider_id: String,
            name_id: String,
            name_id_format: { type: String, default: 'urn:oasis:names:tc:SAML:2.0:nameid-format:transient' },
            session_index: Number,
            slo_url: String,
            sp_cert: String, // TODO figure this out
            active: { type: Boolean, default: true },
            uuid: { type: String, default: uuid },
        }
    }
}

module.exports = exports = SessionParticipantModel
